Package de.gebit.integrity.dsl.util

## Class DslSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - de.gebit.integrity.dsl.util.DslSwitch<T>

-     public class DslSwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `DslPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static DslPackage` | `modelPackage` | The cached model package

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DslSwitch()` | Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `caseArbitraryParameterOrResultName​(ArbitraryParameterOrResultName object)` | Returns the result of interpreting the object as an instance of 'Arbitrary Parameter Or Result Name'.
    `T` | `caseBooleanValue​(BooleanValue object)` | Returns the result of interpreting the object as an instance of 'Boolean Value'.
    `T` | `caseCall​(Call object)` | Returns the result of interpreting the object as an instance of 'Call'.
    `T` | `caseCallDefinition​(CallDefinition object)` | Returns the result of interpreting the object as an instance of 'Call Definition'.
    `T` | `caseConstant​(Constant object)` | Returns the result of interpreting the object as an instance of 'Constant'.
    `T` | `caseConstantDefinition​(ConstantDefinition object)` | Returns the result of interpreting the object as an instance of 'Constant Definition'.
    `T` | `caseConstantEntity​(ConstantEntity object)` | Returns the result of interpreting the object as an instance of 'Constant Entity'.
    `T` | `caseConstantValue​(ConstantValue object)` | Returns the result of interpreting the object as an instance of 'Constant Value'.
    `T` | `caseCustomOperation​(CustomOperation object)` | Returns the result of interpreting the object as an instance of 'Custom Operation'.
    `T` | `caseDateAndTimeValue​(DateAndTimeValue object)` | Returns the result of interpreting the object as an instance of 'Date And Time Value'.
    `T` | `caseDateValue​(DateValue object)` | Returns the result of interpreting the object as an instance of 'Date Value'.
    `T` | `caseDecimalValue​(DecimalValue object)` | Returns the result of interpreting the object as an instance of 'Decimal Value'.
    `T` | `caseDocumentationComment​(DocumentationComment object)` | Returns the result of interpreting the object as an instance of 'Documentation Comment'.
    `T` | `caseEmpty​(Empty object)` | Returns the result of interpreting the object as an instance of 'Empty'.
    `T` | `caseEmptyValue​(EmptyValue object)` | Returns the result of interpreting the object as an instance of 'Empty Value'.
    `T` | `caseEnumValue​(EnumValue object)` | Returns the result of interpreting the object as an instance of 'Enum Value'.
    `T` | `caseEuropeanDateAnd12HrsTimeValue​(EuropeanDateAnd12HrsTimeValue object)` | Returns the result of interpreting the object as an instance of 'European Date And12 Hrs Time Value'.
    `T` | `caseEuropeanDateAnd24HrsTimeValue​(EuropeanDateAnd24HrsTimeValue object)` | Returns the result of interpreting the object as an instance of 'European Date And24 Hrs Time Value'.
    `T` | `caseEuropeanDateValue​(EuropeanDateValue object)` | Returns the result of interpreting the object as an instance of 'European Date Value'.
    `T` | `caseExecutionMultiplier​(ExecutionMultiplier object)` | Returns the result of interpreting the object as an instance of 'Execution Multiplier'.
    `T` | `caseFixedParameterName​(FixedParameterName object)` | Returns the result of interpreting the object as an instance of 'Fixed Parameter Name'.
    `T` | `caseFixedResultName​(FixedResultName object)` | Returns the result of interpreting the object as an instance of 'Fixed Result Name'.
    `T` | `caseForkDefinition​(ForkDefinition object)` | Returns the result of interpreting the object as an instance of 'Fork Definition'.
    `T` | `caseForkParameter​(ForkParameter object)` | Returns the result of interpreting the object as an instance of 'Fork Parameter'.
    `T` | `caseImport​(Import object)` | Returns the result of interpreting the object as an instance of 'Import'.
    `T` | `caseInexistent​(Inexistent object)` | Returns the result of interpreting the object as an instance of 'Inexistent'.
    `T` | `caseInexistentValue​(InexistentValue object)` | Returns the result of interpreting the object as an instance of 'Inexistent Value'.
    `T` | `caseIntegerValue​(IntegerValue object)` | Returns the result of interpreting the object as an instance of 'Integer Value'.
    `T` | `caseIsoDateAndTimeValue​(IsoDateAndTimeValue object)` | Returns the result of interpreting the object as an instance of 'Iso Date And Time Value'.
    `T` | `caseIsoDateValue​(IsoDateValue object)` | Returns the result of interpreting the object as an instance of 'Iso Date Value'.
    `T` | `caseIsoTimeValue​(IsoTimeValue object)` | Returns the result of interpreting the object as an instance of 'Iso Time Value'.
    `T` | `caseJavaClassReference​(JavaClassReference object)` | Returns the result of interpreting the object as an instance of 'Java Class Reference'.
    `T` | `caseJavaConstantReference​(JavaConstantReference object)` | Returns the result of interpreting the object as an instance of 'Java Constant Reference'.
    `T` | `caseJavaConstantValue​(JavaConstantValue object)` | Returns the result of interpreting the object as an instance of 'Java Constant Value'.
    `T` | `caseKeyValuePair​(KeyValuePair object)` | Returns the result of interpreting the object as an instance of 'Key Value Pair'.
    `T` | `caseMethodReference​(MethodReference object)` | Returns the result of interpreting the object as an instance of 'Method Reference'.
    `T` | `caseModel​(Model object)` | Returns the result of interpreting the object as an instance of 'Model'.
    `T` | `caseNamedCallResult​(NamedCallResult object)` | Returns the result of interpreting the object as an instance of 'Named Call Result'.
    `T` | `caseNamedResult​(NamedResult object)` | Returns the result of interpreting the object as an instance of 'Named Result'.
    `T` | `caseNestedObject​(NestedObject object)` | Returns the result of interpreting the object as an instance of 'Nested Object'.
    `T` | `caseNull​(Null object)` | Returns the result of interpreting the object as an instance of 'Null'.
    `T` | `caseNullValue​(NullValue object)` | Returns the result of interpreting the object as an instance of 'Null Value'.
    `T` | `caseOperation​(Operation object)` | Returns the result of interpreting the object as an instance of 'Operation'.
    `T` | `caseOperationDefinition​(OperationDefinition object)` | Returns the result of interpreting the object as an instance of 'Operation Definition'.
    `T` | `casePackageDefinition​(PackageDefinition object)` | Returns the result of interpreting the object as an instance of 'Package Definition'.
    `T` | `casePackageStatement​(PackageStatement object)` | Returns the result of interpreting the object as an instance of 'Package Statement'.
    `T` | `caseParameter​(Parameter object)` | Returns the result of interpreting the object as an instance of 'Parameter'.
    `T` | `caseParameterName​(ParameterName object)` | Returns the result of interpreting the object as an instance of 'Parameter Name'.
    `T` | `caseParameterTableHeader​(ParameterTableHeader object)` | Returns the result of interpreting the object as an instance of 'Parameter Table Header'.
    `T` | `caseParameterTableValue​(ParameterTableValue object)` | Returns the result of interpreting the object as an instance of 'Parameter Table Value'.
    `T` | `caseRegexValue​(RegexValue object)` | Returns the result of interpreting the object as an instance of 'Regex Value'.
    `T` | `caseResultName​(ResultName object)` | Returns the result of interpreting the object as an instance of 'Result Name'.
    `T` | `caseResultTableHeader​(ResultTableHeader object)` | Returns the result of interpreting the object as an instance of 'Result Table Header'.
    `T` | `caseSimple12HrsTimeValue​(Simple12HrsTimeValue object)` | Returns the result of interpreting the object as an instance of 'Simple12 Hrs Time Value'.
    `T` | `caseSimple24HrsTimeValue​(Simple24HrsTimeValue object)` | Returns the result of interpreting the object as an instance of 'Simple24 Hrs Time Value'.
    `T` | `caseStandardOperation​(StandardOperation object)` | Returns the result of interpreting the object as an instance of 'Standard Operation'.
    `T` | `caseStatement​(Statement object)` | Returns the result of interpreting the object as an instance of 'Statement'.
    `T` | `caseStaticValue​(StaticValue object)` | Returns the result of interpreting the object as an instance of 'Static Value'.
    `T` | `caseStringValue​(StringValue object)` | Returns the result of interpreting the object as an instance of 'String Value'.
    `T` | `caseSuite​(Suite object)` | Returns the result of interpreting the object as an instance of 'Suite'.
    `T` | `caseSuiteDefinition​(SuiteDefinition object)` | Returns the result of interpreting the object as an instance of 'Suite Definition'.
    `T` | `caseSuiteParameter​(SuiteParameter object)` | Returns the result of interpreting the object as an instance of 'Suite Parameter'.
    `T` | `caseSuiteParameterDefinition​(SuiteParameterDefinition object)` | Returns the result of interpreting the object as an instance of 'Suite Parameter Definition'.
    `T` | `caseSuiteReturn​(SuiteReturn object)` | Returns the result of interpreting the object as an instance of 'Suite Return'.
    `T` | `caseSuiteReturnDefinition​(SuiteReturnDefinition object)` | Returns the result of interpreting the object as an instance of 'Suite Return Definition'.
    `T` | `caseSuiteStatement​(SuiteStatement object)` | Returns the result of interpreting the object as an instance of 'Suite Statement'.
    `T` | `caseSuiteStatementWithResult​(SuiteStatementWithResult object)` | Returns the result of interpreting the object as an instance of 'Suite Statement With Result'.
    `T` | `caseTableTest​(TableTest object)` | Returns the result of interpreting the object as an instance of 'Table Test'.
    `T` | `caseTableTestRow​(TableTestRow object)` | Returns the result of interpreting the object as an instance of 'Table Test Row'.
    `T` | `caseTest​(Test object)` | Returns the result of interpreting the object as an instance of 'Test'.
    `T` | `caseTestDefinition​(TestDefinition object)` | Returns the result of interpreting the object as an instance of 'Test Definition'.
    `T` | `caseTimeDifference​(TimeDifference object)` | Returns the result of interpreting the object as an instance of 'Time Difference'.
    `T` | `caseTimeProgressionFactor​(TimeProgressionFactor object)` | Returns the result of interpreting the object as an instance of 'Time Progression Factor'.
    `T` | `caseTimeSet​(TimeSet object)` | Returns the result of interpreting the object as an instance of 'Time Set'.
    `T` | `caseTimeValue​(TimeValue object)` | Returns the result of interpreting the object as an instance of 'Time Value'.
    `T` | `caseTypedNestedObject​(TypedNestedObject object)` | Returns the result of interpreting the object as an instance of 'Typed Nested Object'.
    `T` | `caseUSDateAnd12HrsTimeValue​(USDateAnd12HrsTimeValue object)` | Returns the result of interpreting the object as an instance of 'US Date And12 Hrs Time Value'.
    `T` | `caseUSDateValue​(USDateValue object)` | Returns the result of interpreting the object as an instance of 'US Date Value'.
    `T` | `caseValue​(Value object)` | Returns the result of interpreting the object as an instance of 'Value'.
    `T` | `caseValueOrEnumValueOrOperation​(ValueOrEnumValueOrOperation object)` | Returns the result of interpreting the object as an instance of 'Value Or Enum Value Or Operation'.
    `T` | `caseValueOrEnumValueOrOperationCollection​(ValueOrEnumValueOrOperationCollection object)` | Returns the result of interpreting the object as an instance of 'Value Or Enum Value Or Operation Collection'.
    `T` | `caseVariable​(Variable object)` | Returns the result of interpreting the object as an instance of 'Variable'.
    `T` | `caseVariableAssignment​(VariableAssignment object)` | Returns the result of interpreting the object as an instance of 'Variable Assignment'.
    `T` | `caseVariableDefinition​(VariableDefinition object)` | Returns the result of interpreting the object as an instance of 'Variable Definition'.
    `T` | `caseVariableEntity​(VariableEntity object)` | Returns the result of interpreting the object as an instance of 'Variable Entity'.
    `T` | `caseVariableOrConstantEntity​(VariableOrConstantEntity object)` | Returns the result of interpreting the object as an instance of 'Variable Or Constant Entity'.
    `T` | `caseVariableVariable​(VariableVariable object)` | Returns the result of interpreting the object as an instance of 'Variable Variable'.
    `T` | `caseVariantDefinition​(VariantDefinition object)` | Returns the result of interpreting the object as an instance of 'Variant Definition'.
    `T` | `caseVariantValue​(VariantValue object)` | Returns the result of interpreting the object as an instance of 'Variant Value'.
    `T` | `caseVisibleComment​(VisibleComment object)` | Returns the result of interpreting the object as an instance of 'Visible Comment'.
    `T` | `caseVisibleDivider​(VisibleDivider object)` | Returns the result of interpreting the object as an instance of 'Visible Divider'.
    `T` | `caseVisibleMultiLineComment​(VisibleMultiLineComment object)` | Returns the result of interpreting the object as an instance of 'Visible Multi Line Comment'.
    `T` | `caseVisibleMultiLineNormalComment​(VisibleMultiLineNormalComment object)` | Returns the result of interpreting the object as an instance of 'Visible Multi Line Normal Comment'.
    `T` | `caseVisibleMultiLineTitleComment​(VisibleMultiLineTitleComment object)` | Returns the result of interpreting the object as an instance of 'Visible Multi Line Title Comment'.
    `T` | `caseVisibleSingleLineComment​(VisibleSingleLineComment object)` | Returns the result of interpreting the object as an instance of 'Visible Single Line Comment'.
    `T` | `caseVisibleSingleLineNormalComment​(VisibleSingleLineNormalComment object)` | Returns the result of interpreting the object as an instance of 'Visible Single Line Normal Comment'.
    `T` | `caseVisibleSingleLineTitleComment​(VisibleSingleLineTitleComment object)` | Returns the result of interpreting the object as an instance of 'Visible Single Line Title Comment'.
    `T` | `defaultCase​(org.eclipse.emf.ecore.EObject object)` | Returns the result of interpreting the object as an instance of 'EObject'.
    `protected T` | `doSwitch​(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` | Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
    `protected boolean` | `isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)` | Checks whether this is a switch for the given package.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch, doSwitch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static DslPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### DslSwitch

          public DslSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### isSwitchFor

          protected boolean isSwitchFor​(org.eclipse.emf.ecore.EPackage ePackage)

      Checks whether this is a switch for the given package.
      Specified by:
        `isSwitchFor` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `ePackage` - the package in question.
      Returns:
        whether this is a switch for the given package.

    - #### doSwitch

          protected T doSwitch​(int classifierID,
                               org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Overrides:
        `doSwitch` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseModel

          public T caseModel​(Model object)

      Returns the result of interpreting the object as an instance of 'Model'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Model'.
      See Also:
        `doSwitch(EObject)`

    - #### caseStatement

          public T caseStatement​(Statement object)

      Returns the result of interpreting the object as an instance of 'Statement'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Statement'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVisibleComment

          public T caseVisibleComment​(VisibleComment object)

      Returns the result of interpreting the object as an instance of 'Visible Comment'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Visible Comment'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVisibleSingleLineComment

          public T caseVisibleSingleLineComment​(VisibleSingleLineComment object)

      Returns the result of interpreting the object as an instance of 'Visible Single Line Comment'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Visible Single Line Comment'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVisibleSingleLineNormalComment

          public T caseVisibleSingleLineNormalComment​(VisibleSingleLineNormalComment object)

      Returns the result of interpreting the object as an instance of 'Visible Single Line Normal Comment'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Visible Single Line Normal Comment'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVisibleSingleLineTitleComment

          public T caseVisibleSingleLineTitleComment​(VisibleSingleLineTitleComment object)

      Returns the result of interpreting the object as an instance of 'Visible Single Line Title Comment'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Visible Single Line Title Comment'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVisibleMultiLineComment

          public T caseVisibleMultiLineComment​(VisibleMultiLineComment object)

      Returns the result of interpreting the object as an instance of 'Visible Multi Line Comment'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Visible Multi Line Comment'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVisibleMultiLineNormalComment

          public T caseVisibleMultiLineNormalComment​(VisibleMultiLineNormalComment object)

      Returns the result of interpreting the object as an instance of 'Visible Multi Line Normal Comment'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Visible Multi Line Normal Comment'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVisibleMultiLineTitleComment

          public T caseVisibleMultiLineTitleComment​(VisibleMultiLineTitleComment object)

      Returns the result of interpreting the object as an instance of 'Visible Multi Line Title Comment'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Visible Multi Line Title Comment'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVisibleDivider

          public T caseVisibleDivider​(VisibleDivider object)

      Returns the result of interpreting the object as an instance of 'Visible Divider'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Visible Divider'.
      See Also:
        `doSwitch(EObject)`

    - #### casePackageDefinition

          public T casePackageDefinition​(PackageDefinition object)

      Returns the result of interpreting the object as an instance of 'Package Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Package Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### casePackageStatement

          public T casePackageStatement​(PackageStatement object)

      Returns the result of interpreting the object as an instance of 'Package Statement'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Package Statement'.
      See Also:
        `doSwitch(EObject)`

    - #### caseImport

          public T caseImport​(Import object)

      Returns the result of interpreting the object as an instance of 'Import'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Import'.
      See Also:
        `doSwitch(EObject)`

    - #### caseForkDefinition

          public T caseForkDefinition​(ForkDefinition object)

      Returns the result of interpreting the object as an instance of 'Fork Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Fork Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseForkParameter

          public T caseForkParameter​(ForkParameter object)

      Returns the result of interpreting the object as an instance of 'Fork Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Fork Parameter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariantDefinition

          public T caseVariantDefinition​(VariantDefinition object)

      Returns the result of interpreting the object as an instance of 'Variant Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variant Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTestDefinition

          public T caseTestDefinition​(TestDefinition object)

      Returns the result of interpreting the object as an instance of 'Test Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Test Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCallDefinition

          public T caseCallDefinition​(CallDefinition object)

      Returns the result of interpreting the object as an instance of 'Call Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Call Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSuiteDefinition

          public T caseSuiteDefinition​(SuiteDefinition object)

      Returns the result of interpreting the object as an instance of 'Suite Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Suite Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSuiteParameterDefinition

          public T caseSuiteParameterDefinition​(SuiteParameterDefinition object)

      Returns the result of interpreting the object as an instance of 'Suite Parameter Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Suite Parameter Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSuiteReturnDefinition

          public T caseSuiteReturnDefinition​(SuiteReturnDefinition object)

      Returns the result of interpreting the object as an instance of 'Suite Return Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Suite Return Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseOperationDefinition

          public T caseOperationDefinition​(OperationDefinition object)

      Returns the result of interpreting the object as an instance of 'Operation Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Operation Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSuiteStatement

          public T caseSuiteStatement​(SuiteStatement object)

      Returns the result of interpreting the object as an instance of 'Suite Statement'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Suite Statement'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSuiteStatementWithResult

          public T caseSuiteStatementWithResult​(SuiteStatementWithResult object)

      Returns the result of interpreting the object as an instance of 'Suite Statement With Result'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Suite Statement With Result'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariableDefinition

          public T caseVariableDefinition​(VariableDefinition object)

      Returns the result of interpreting the object as an instance of 'Variable Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConstantDefinition

          public T caseConstantDefinition​(ConstantDefinition object)

      Returns the result of interpreting the object as an instance of 'Constant Definition'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Constant Definition'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariableAssignment

          public T caseVariableAssignment​(VariableAssignment object)

      Returns the result of interpreting the object as an instance of 'Variable Assignment'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable Assignment'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariantValue

          public T caseVariantValue​(VariantValue object)

      Returns the result of interpreting the object as an instance of 'Variant Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variant Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariableEntity

          public T caseVariableEntity​(VariableEntity object)

      Returns the result of interpreting the object as an instance of 'Variable Entity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable Entity'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConstantEntity

          public T caseConstantEntity​(ConstantEntity object)

      Returns the result of interpreting the object as an instance of 'Constant Entity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Constant Entity'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariableOrConstantEntity

          public T caseVariableOrConstantEntity​(VariableOrConstantEntity object)

      Returns the result of interpreting the object as an instance of 'Variable Or Constant Entity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable Or Constant Entity'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTest

          public T caseTest​(Test object)

      Returns the result of interpreting the object as an instance of 'Test'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Test'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTableTest

          public T caseTableTest​(TableTest object)

      Returns the result of interpreting the object as an instance of 'Table Test'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Table Test'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTableTestRow

          public T caseTableTestRow​(TableTestRow object)

      Returns the result of interpreting the object as an instance of 'Table Test Row'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Table Test Row'.
      See Also:
        `doSwitch(EObject)`

    - #### caseParameterTableHeader

          public T caseParameterTableHeader​(ParameterTableHeader object)

      Returns the result of interpreting the object as an instance of 'Parameter Table Header'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter Table Header'.
      See Also:
        `doSwitch(EObject)`

    - #### caseResultTableHeader

          public T caseResultTableHeader​(ResultTableHeader object)

      Returns the result of interpreting the object as an instance of 'Result Table Header'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Result Table Header'.
      See Also:
        `doSwitch(EObject)`

    - #### caseParameterTableValue

          public T caseParameterTableValue​(ParameterTableValue object)

      Returns the result of interpreting the object as an instance of 'Parameter Table Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter Table Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseNamedResult

          public T caseNamedResult​(NamedResult object)

      Returns the result of interpreting the object as an instance of 'Named Result'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Named Result'.
      See Also:
        `doSwitch(EObject)`

    - #### caseResultName

          public T caseResultName​(ResultName object)

      Returns the result of interpreting the object as an instance of 'Result Name'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Result Name'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFixedResultName

          public T caseFixedResultName​(FixedResultName object)

      Returns the result of interpreting the object as an instance of 'Fixed Result Name'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Fixed Result Name'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCall

          public T caseCall​(Call object)

      Returns the result of interpreting the object as an instance of 'Call'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Call'.
      See Also:
        `doSwitch(EObject)`

    - #### caseNamedCallResult

          public T caseNamedCallResult​(NamedCallResult object)

      Returns the result of interpreting the object as an instance of 'Named Call Result'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Named Call Result'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTimeSet

          public T caseTimeSet​(TimeSet object)

      Returns the result of interpreting the object as an instance of 'Time Set'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Time Set'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTimeProgressionFactor

          public T caseTimeProgressionFactor​(TimeProgressionFactor object)

      Returns the result of interpreting the object as an instance of 'Time Progression Factor'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Time Progression Factor'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTimeDifference

          public T caseTimeDifference​(TimeDifference object)

      Returns the result of interpreting the object as an instance of 'Time Difference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Time Difference'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSuite

          public T caseSuite​(Suite object)

      Returns the result of interpreting the object as an instance of 'Suite'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Suite'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSuiteParameter

          public T caseSuiteParameter​(SuiteParameter object)

      Returns the result of interpreting the object as an instance of 'Suite Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Suite Parameter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSuiteReturn

          public T caseSuiteReturn​(SuiteReturn object)

      Returns the result of interpreting the object as an instance of 'Suite Return'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Suite Return'.
      See Also:
        `doSwitch(EObject)`

    - #### caseParameter

          public T caseParameter​(Parameter object)

      Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter'.
      See Also:
        `doSwitch(EObject)`

    - #### caseParameterName

          public T caseParameterName​(ParameterName object)

      Returns the result of interpreting the object as an instance of 'Parameter Name'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parameter Name'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFixedParameterName

          public T caseFixedParameterName​(FixedParameterName object)

      Returns the result of interpreting the object as an instance of 'Fixed Parameter Name'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Fixed Parameter Name'.
      See Also:
        `doSwitch(EObject)`

    - #### caseArbitraryParameterOrResultName

          public T caseArbitraryParameterOrResultName​(ArbitraryParameterOrResultName object)

      Returns the result of interpreting the object as an instance of 'Arbitrary Parameter Or Result Name'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Arbitrary Parameter Or Result Name'.
      See Also:
        `doSwitch(EObject)`

    - #### caseOperation

          public T caseOperation​(Operation object)

      Returns the result of interpreting the object as an instance of 'Operation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Operation'.
      See Also:
        `doSwitch(EObject)`

    - #### caseStandardOperation

          public T caseStandardOperation​(StandardOperation object)

      Returns the result of interpreting the object as an instance of 'Standard Operation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Standard Operation'.
      See Also:
        `doSwitch(EObject)`

    - #### caseCustomOperation

          public T caseCustomOperation​(CustomOperation object)

      Returns the result of interpreting the object as an instance of 'Custom Operation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Custom Operation'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValueOrEnumValueOrOperationCollection

          public T caseValueOrEnumValueOrOperationCollection​(ValueOrEnumValueOrOperationCollection object)

      Returns the result of interpreting the object as an instance of 'Value Or Enum Value Or Operation Collection'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Value Or Enum Value Or Operation Collection'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValueOrEnumValueOrOperation

          public T caseValueOrEnumValueOrOperation​(ValueOrEnumValueOrOperation object)

      Returns the result of interpreting the object as an instance of 'Value Or Enum Value Or Operation'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Value Or Enum Value Or Operation'.
      See Also:
        `doSwitch(EObject)`

    - #### caseValue

          public T caseValue​(Value object)

      Returns the result of interpreting the object as an instance of 'Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConstantValue

          public T caseConstantValue​(ConstantValue object)

      Returns the result of interpreting the object as an instance of 'Constant Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Constant Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseStaticValue

          public T caseStaticValue​(StaticValue object)

      Returns the result of interpreting the object as an instance of 'Static Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Static Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIntegerValue

          public T caseIntegerValue​(IntegerValue object)

      Returns the result of interpreting the object as an instance of 'Integer Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Integer Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDecimalValue

          public T caseDecimalValue​(DecimalValue object)

      Returns the result of interpreting the object as an instance of 'Decimal Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Decimal Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseStringValue

          public T caseStringValue​(StringValue object)

      Returns the result of interpreting the object as an instance of 'String Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'String Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRegexValue

          public T caseRegexValue​(RegexValue object)

      Returns the result of interpreting the object as an instance of 'Regex Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Regex Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseBooleanValue

          public T caseBooleanValue​(BooleanValue object)

      Returns the result of interpreting the object as an instance of 'Boolean Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Boolean Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDateValue

          public T caseDateValue​(DateValue object)

      Returns the result of interpreting the object as an instance of 'Date Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Date Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIsoDateValue

          public T caseIsoDateValue​(IsoDateValue object)

      Returns the result of interpreting the object as an instance of 'Iso Date Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Iso Date Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEuropeanDateValue

          public T caseEuropeanDateValue​(EuropeanDateValue object)

      Returns the result of interpreting the object as an instance of 'European Date Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'European Date Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseUSDateValue

          public T caseUSDateValue​(USDateValue object)

      Returns the result of interpreting the object as an instance of 'US Date Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'US Date Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTimeValue

          public T caseTimeValue​(TimeValue object)

      Returns the result of interpreting the object as an instance of 'Time Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Time Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIsoTimeValue

          public T caseIsoTimeValue​(IsoTimeValue object)

      Returns the result of interpreting the object as an instance of 'Iso Time Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Iso Time Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSimple24HrsTimeValue

          public T caseSimple24HrsTimeValue​(Simple24HrsTimeValue object)

      Returns the result of interpreting the object as an instance of 'Simple24 Hrs Time Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Simple24 Hrs Time Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSimple12HrsTimeValue

          public T caseSimple12HrsTimeValue​(Simple12HrsTimeValue object)

      Returns the result of interpreting the object as an instance of 'Simple12 Hrs Time Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Simple12 Hrs Time Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDateAndTimeValue

          public T caseDateAndTimeValue​(DateAndTimeValue object)

      Returns the result of interpreting the object as an instance of 'Date And Time Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Date And Time Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseIsoDateAndTimeValue

          public T caseIsoDateAndTimeValue​(IsoDateAndTimeValue object)

      Returns the result of interpreting the object as an instance of 'Iso Date And Time Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Iso Date And Time Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEuropeanDateAnd24HrsTimeValue

          public T caseEuropeanDateAnd24HrsTimeValue​(EuropeanDateAnd24HrsTimeValue object)

      Returns the result of interpreting the object as an instance of 'European Date And24 Hrs Time Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'European Date And24 Hrs Time Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEuropeanDateAnd12HrsTimeValue

          public T caseEuropeanDateAnd12HrsTimeValue​(EuropeanDateAnd12HrsTimeValue object)

      Returns the result of interpreting the object as an instance of 'European Date And12 Hrs Time Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'European Date And12 Hrs Time Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseUSDateAnd12HrsTimeValue

          public T caseUSDateAnd12HrsTimeValue​(USDateAnd12HrsTimeValue object)

      Returns the result of interpreting the object as an instance of 'US Date And12 Hrs Time Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'US Date And12 Hrs Time Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseJavaConstantValue

          public T caseJavaConstantValue​(JavaConstantValue object)

      Returns the result of interpreting the object as an instance of 'Java Constant Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Java Constant Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariable

          public T caseVariable​(Variable object)

      Returns the result of interpreting the object as an instance of 'Variable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariableVariable

          public T caseVariableVariable​(VariableVariable object)

      Returns the result of interpreting the object as an instance of 'Variable Variable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable Variable'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConstant

          public T caseConstant​(Constant object)

      Returns the result of interpreting the object as an instance of 'Constant'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Constant'.
      See Also:
        `doSwitch(EObject)`

    - #### caseNullValue

          public T caseNullValue​(NullValue object)

      Returns the result of interpreting the object as an instance of 'Null Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Null Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseInexistentValue

          public T caseInexistentValue​(InexistentValue object)

      Returns the result of interpreting the object as an instance of 'Inexistent Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Inexistent Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEmptyValue

          public T caseEmptyValue​(EmptyValue object)

      Returns the result of interpreting the object as an instance of 'Empty Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Empty Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEnumValue

          public T caseEnumValue​(EnumValue object)

      Returns the result of interpreting the object as an instance of 'Enum Value'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Enum Value'.
      See Also:
        `doSwitch(EObject)`

    - #### caseNestedObject

          public T caseNestedObject​(NestedObject object)

      Returns the result of interpreting the object as an instance of 'Nested Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Nested Object'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTypedNestedObject

          public T caseTypedNestedObject​(TypedNestedObject object)

      Returns the result of interpreting the object as an instance of 'Typed Nested Object'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Typed Nested Object'.
      See Also:
        `doSwitch(EObject)`

    - #### caseKeyValuePair

          public T caseKeyValuePair​(KeyValuePair object)

      Returns the result of interpreting the object as an instance of 'Key Value Pair'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Key Value Pair'.
      See Also:
        `doSwitch(EObject)`

    - #### caseJavaClassReference

          public T caseJavaClassReference​(JavaClassReference object)

      Returns the result of interpreting the object as an instance of 'Java Class Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Java Class Reference'.
      See Also:
        `doSwitch(EObject)`

    - #### caseMethodReference

          public T caseMethodReference​(MethodReference object)

      Returns the result of interpreting the object as an instance of 'Method Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Method Reference'.
      See Also:
        `doSwitch(EObject)`

    - #### caseJavaConstantReference

          public T caseJavaConstantReference​(JavaConstantReference object)

      Returns the result of interpreting the object as an instance of 'Java Constant Reference'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Java Constant Reference'.
      See Also:
        `doSwitch(EObject)`

    - #### caseExecutionMultiplier

          public T caseExecutionMultiplier​(ExecutionMultiplier object)

      Returns the result of interpreting the object as an instance of 'Execution Multiplier'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Execution Multiplier'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDocumentationComment

          public T caseDocumentationComment​(DocumentationComment object)

      Returns the result of interpreting the object as an instance of 'Documentation Comment'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Documentation Comment'.
      See Also:
        `doSwitch(EObject)`

    - #### caseNull

          public T caseNull​(Null object)

      Returns the result of interpreting the object as an instance of 'Null'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Null'.
      See Also:
        `doSwitch(EObject)`

    - #### caseInexistent

          public T caseInexistent​(Inexistent object)

      Returns the result of interpreting the object as an instance of 'Inexistent'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Inexistent'.
      See Also:
        `doSwitch(EObject)`

    - #### caseEmpty

          public T caseEmpty​(Empty object)

      Returns the result of interpreting the object as an instance of 'Empty'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Empty'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public T defaultCase​(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`